## tdeio-gopher-trinity 14.0.11

=== CMakeLists.txt ===
#################################################
#
#  (C) 2011 Timothy Pearson
#  kb9vqf (AT) pearsoncomputing.net
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

cmake_minimum_required( VERSION 2.8.12 )


##### general package setup #####################

project( tdeio_gopher )


##### include essential cmake modules ###########

include( CheckCXXSourceCompiles )
include( CheckFunctionExists )
include( CheckIncludeFileCXX )
include( CheckLibraryExists )
include( CheckStructHasMember )
include( CheckSymbolExists )
include( CheckTypeSize )
include( FindPkgConfig )


##### include our cmake modules #################

set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
include( TDEMacros )


##### setup install paths #######################

include( TDESetupPaths )
tde_setup_paths( )


##### user requested modules ####################

option( BUILD_ALL "Build all" OFF )
option( BUILD_DOC "Build doc" ${BUILD_ALL} )
option( BUILD_TRANSLATIONS "Build translations" ${BUILD_ALL} )


##### configure checks ##########################

include( ConfigureChecks.cmake )


###### global compiler settings #################

add_definitions( -DHAVE_CONFIG_H )

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### source directories ########################

add_subdirectory( src )


##### other data ################################

tde_conditional_add_project_docs( BUILD_DOC )
tde_conditional_add_project_translations( BUILD_TRANSLATIONS )


##### write configure files #####################

configure_file( config.h.cmake config.h @ONLY )

=== debian/changelog ===
tdeio-gopher-trinity (4:14.0.11-0ubuntu14.04.0+0) trusty; urgency=low

  * Automated git build for r14.0.11
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.11#tdeio-gopher

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 20 Aug 2021 00:13:24 +0200

tdeio-gopher-trinity (0.1.4-1debian0) buster; urgency=low

  * Buster rebuild

 -- Michele Calgaro <michele.calgaro@yahoo.it>  Sat, 25 Aug 2018 21:56:00 +0900

## tdeio-gopher-trinity 14.0.12

=== debian/changelog ===
tdeio-gopher-trinity (4:14.0.12-0ubuntu20.10.0+0) groovy; urgency=low

  * Automated git build for r14.0.12
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.12#tdeio-gopher

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 31 Dec 2021 11:52:49 +0100

## tdeio-gopher-trinity 14.0.13

=== debian/changelog ===
tdeio-gopher-trinity (4:14.0.13-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#tdeio-gopher

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 26 Jun 2022 06:42:25 +0200

## tdeio-gopher-trinity 14.1.0

=== debian/changelog ===
tdeio-gopher-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#tdeio-gopher

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 14 Jan 2023 18:47:51 +0100

=== debian/control ===
Source: tdeio-gopher-trinity
Section: tde
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
XSBC-Original-Maintainer: Albert Astals Cid <aacid@kde.org>
Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev
Standards-Version: 3.8.4

Package: tdeio-gopher-trinity
Architecture: any
Depends: ${shlibs:Depends}
Replaces: kio-gopher-trinity (<< 4:14.0.0~)
Breaks: kio-gopher-trinity (<< 4:14.0.0~)
Conflicts: kdebase-kio-plugins-trinity (<< 4:14.0.11~), tdebase-tdeio-plugins-trinity (<< 4:14.0.11~)
Description: tdeio-slave for the gopher protocol [Trinity]
 Adds support for the "gopher:" protocol
 to Konqueror and other TDE applications.
 .
 This enables you to perform gopher searches in Konqueror.

## tdeio-gopher-trinity 14.1.1

=== debian/changelog ===
tdeio-gopher-trinity (4:14.1.1-0ubuntu16.04.0+0) xenial; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#tdeio-gopher

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 14 Jan 2023 18:47:51 +0100

## tdeio-gopher-trinity 14.1.2

=== debian/changelog ===
tdeio-gopher-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#tdeio-gopher

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Apr 2024 00:36:36 +0200

## tdeio-gopher-trinity 14.1.3

=== debian/changelog ===
tdeio-gopher-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#tdeio-gopher

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 23 May 2024 16:58:47 +0200

## tdeio-gopher-trinity 14.1.4

=== debian/changelog ===
tdeio-gopher-trinity (4:14.1.4-0ubuntu25.04.0+0) plucky; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#tdeio-gopher

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

## tdeio-gopher-trinity 14.1.5~pre1

=== debian/changelog ===
tdeio-gopher-trinity (4:14.1.5~pre1-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for 795d0c3a5c39ef86880c55d5242892690b1887d2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#tdeio-gopher

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## tdeio-gopher-trinity 14.1.5

=== debian/changelog ===
tdeio-gopher-trinity (4:14.1.5-0ubuntu25.04.0+0) plucky; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#tdeio-gopher

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

=== debian/rules ===
#!/usr/bin/make -f

# Set LD_LIBRARY_PATH to the installed library directory to allow dh_shlibdeps to function
# Also include the main Trinity path
ifeq ("$(LD_LIBRARY_PATH)", "")
LD_LIBRARY_PATH=debian/tmp/opt/trinity/lib
else
LD_LIBRARY_PATH += :debian/tmp/opt/trinity/lib
endif
export LD_LIBRARY_PATH

include /usr/share/cdbs/1/rules/debhelper.mk
-include /usr/share/cdbs/1/class/tde.mk

DEB_KDE_APIDOX := yes

CXXFLAGS := -DSMB_CTX_FLAG_USE_KERBEROS -DSMB_CTX_FLAG_FALLBACK_AFTER_KERBEROS -g -Wall $(DEB_OPT_FLAG)

DEB_CMAKE_EXTRA_FLAGS := \
 -DCMAKE_EXPORT_COMPILE_COMMANDS="ON" \
 -DLIB_SUFFIX="" \
 -DCMAKE_INSTALL_PREFIX="/opt/trinity" \
 -DCONFIG_INSTALL_DIR="/etc/trinity" \
 -DSYSCONF_INSTALL_DIR="/etc/trinity" \
 -DXDG_MENU_INSTALL_DIR="/etc/xdg/menus" \
 -DCMAKE_LIBRARY_PATH="/opt/trinity/lib" \
 -DCMAKE_INCLUDE_PATH="/opt/trinity/include/" \
 -DAUTODETECT_QT_DIRS="ON" \
 -DCMAKE_VERBOSE_MAKEFILE="ON" \
 -DBUILD_ALL="ON" \
 -DCMAKE_SKIP_RPATH="OFF" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo

DEB_INSTALL_DOCS_tdeio-gopher-trinity := -XREADME -XNEWS -XTODO -XAUTHORS

## tdeio-gopher-trinity 14.1.6~pre1

=== debian/changelog ===
tdeio-gopher-trinity (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 5c592bb1b07c17f77222d5a279782fb8fea3d9b9
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdeio-gopher

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 17 Nov 2025 22:47:58 +0100

## tdeio-gopher-trinity 14.1.6~pre2

=== debian/changelog ===
tdeio-gopher-trinity (4:14.1.6~pre2-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for afda26324f38a7ae7bcca12bc090e15b02459ac1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdeio-gopher

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 06:10:50 +0100

## tdeio-gopher-trinity 14.2.0~pre8

=== debian/changelog ===
tdeio-gopher-trinity (4:14.2.0~pre8-0ubuntu20.04.0+6) focal; urgency=low

  * Automated git build for dcbd397214aaf8cf6856f4e847c67a1f5c835aec
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdeio-gopher

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Albert Astals Cid <aacid@kde.org>
-Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev
+Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev
 Standards-Version: 3.8.4
 
 Package: tdeio-gopher-trinity

## tdeio-gopher-trinity 14.2.0~pre9

=== debian/changelog ===
tdeio-gopher-trinity (4:14.2.0~pre9-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for ecb3cc79054ef84b25fbc6252abea5e7b8a8071a
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdeio-gopher

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 16 Nov 2025 21:17:24 +0100

## tdeio-gopher-trinity 14.2.0~pre10

=== debian/changelog ===
tdeio-gopher-trinity (4:14.2.0~pre10-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for 3acb5b9f7af2a222730d25d7b7227317956bbee6
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdeio-gopher

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:09:50 +0100
